<%
    r = Request()

    fd = r.FormData()
    if fd <> null then
        println("method = [" + r.method() + "]")
        println("form_data = [" + fd + "]")
        println()

        f = r.Form()
        keys = f.keys()
        do while keys.hasMoreElements()
            key = keys.nextElement().toString()
            v = f.get(key)
            l = v.size() - 1
            for i = 0 to l
                value = v.elementAt(i)
                println(key + "(" + i + ") = [" + value + "]")
            next
        loop
    end
%>
